bzimport set Reference to bz48010.
Lydia_Pintscher created this task.Via LegacyMay 2 2013, 4:42 PM
Jdforrester-WMF added a comment.Via ConduitMay 3 2013, 1:42 AM

These are for list indenting currently, and do not (yet) do text block indenting. Setting as an enhancement, likely to be after the 'beta' is released.

Jdforrester-WMF added a comment.Via ConduitMay 18 2013, 12:28 AM

This would be lovely (as a nice-to-have) to get done for the beta.

In practical terms, it means that <p>Foo</p> gets wrapped into <dl><dd><p>Foo</p></dd></dl> and vice versa; all the DM/Parsoid plumbing is there, just needs the indent/outdent commands to be aware of how to operate in the paragraph/preformatted context.

bzimport added a comment.Via ConduitAug 5 2013, 5:56 PM

mcdevitd wrote:

Would this also allow the tab key to be used for paragraph indenting (like for lists), or should that be filed as a separate bug report?

Jdforrester-WMF added a comment.Via ConduitAug 6 2013, 5:06 AM

(In reply to comment #3)

Would this also allow the tab key to be used for paragraph indenting (like
for lists), or should that be filed as a separate bug report?

That'd be the same (the tab and shift-tab keys are bonded to these buttons), so no need for a separate bug report.

Jdforrester-WMF added a comment.Via ConduitMar 20 2014, 11:50 PM
  • Bug 51530 has been marked as a duplicate of this bug. ***
Spinningspark added a comment.Via ConduitOct 1 2014, 2:53 AM

I don't know if this is related, or whether it should be a new bug. In this edit:

https://en.wikipedia.org/w/index.php?title=User:Spinningspark/Work_in_progress/Mobility_analogy&diff=626824709&oldid=626823704

VE adds a number of spurious indents. The intended edit was to swap over the order of two blocks of text containing math markup. Very frustrating that the problem could not even be fixed from within VE since indenting does not function in general.

Spinningspark added a comment.Via ConduitOct 1 2014, 2:56 AM

(In reply to Spinningspark from comment #6)

Sorry, posted this in wrong place. It was intended for bug 59849

Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebNov 24 2014, 1:22 AM
Jdforrester-WMF closed blocking task T53009: Add support for <blockquote>s as "Resolved".Via WebNov 26 2014, 3:06 AM
Spinningspark removed a subscriber: Spinningspark.Via WebNov 27 2014, 4:05 PM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.